Bug 1268988 - oc get componentstatus shows an Unhealthy status [NEEDINFO]
oc get componentstatus shows an Unhealthy status
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Paul Weil
DeShuai Ma
: 1288871 (view as bug list)
Depends On:
Blocks: 1267746 1378267
  Show dependency treegraph
Reported: 2015-10-05 16:14 EDT by Eric Jones
Modified: 2017-08-25 12:24 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1378267 (view as bug list)
Last Closed: 2017-08-25 12:24:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
byount: needinfo? (erjones)

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2178011 None None None 2016-02-25 05:15 EST

  None (edit)
Description Eric Jones 2015-10-05 16:14:55 EDT
Description of problem:
The oc get cs command should accurately display the component status however it fails to complete the check which results in an Unhealthy status being reported.

Version-Release number of selected component (if applicable):
OpenShift Enterprise version 3.0.2

How reproducible:

Steps to Reproduce:
1. Setup environment according to directions
2. run `oc get cs`

Actual results:
See that the status of various parts of the system; scheduler, controller-manager, and etcd are in an Unhealthy status.

Expected results:
If system was Just set up, they should all be in a healthy status.

Additional info:
Identified on github as well, https://github.com/openshift/origin/issues/3667
Comment 2 Brenton Leanhardt 2015-10-06 16:24:21 EDT
From reading the upstream bug it sounds like we'll have to fix this in Kubernetes.
Comment 3 Paul Weil 2015-10-28 09:17:45 EDT
This will not make 3.1, it requires significant upstream changes.  Summary is on https://github.com/openshift/origin/issues/3667
Comment 4 Paul Weil 2015-12-08 08:57:44 EST
*** Bug 1288871 has been marked as a duplicate of this bug. ***
Comment 5 Eric Jones 2015-12-28 15:16:43 EST

I understand it is no small endeavor, however, is this something that could make a future release? 3.1 is already out but potentially 3.2 or further?
Comment 6 Paul Weil 2016-01-04 16:22:57 EST
Yes, I am marking this upcoming release again.  Most likely this would be a candidate for 3.4.
Comment 14 Jordan Liggitt 2017-08-25 12:24:26 EDT
The kubernetes componentstatuses API have hard-coded assumptions about cluster topology that are incorrect and insecure (it assumes components are running on localhost, assumes they are running insecurely, and assumes they are using hardcoded ports).

It is not supported or expected to work in Openshift.

Note You need to log in before you can comment on or make changes to this bug.